package src.com.nhbc.pda.sql;

import com.nhbc.pda.sql.Connect;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

/**
 * Execute a sql statement and return the result set.
 *
 */
public class SqlCommand 
{
  
  /**
  *  Execute a sql statement and return the result set.
  * 
  *  @param     rs  an single string array of values to be displayed
  *  @param     selectStatement  sql select stament to be executed
  *  @param    con connection to database
  *  @return   resultset
  */
  public ResultSet executeStatement(ResultSet rs, String selectStatement, Connect con)
  {
    try
    {
      PreparedStatement ps = con.getConnection().prepareStatement( selectStatement ); 
      rs = ps.executeQuery();  // execute statement and load into result set
    } catch (Exception e){
      System.out.println("Error in SqlCommand.executeStatement() : " + e.getMessage());
    }
    return rs;
  }
}